From 50f5759016f9336a1c57afaa4fb50d0b01172d3b Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Thu, 26 Apr 2018 18:10:49 -0700
Subject: [PATCH] usb:ipcrtr: Reducing IPCRTR INT latency

Reducing IPCRTR INT EP latency from 32ms to 2ms.
To compensate increasing legacy modem,
qmux, gps latency from 32ms to ~1s
---
 drivers/usb/gadget/function/f_gps.c    | 2 +-
 drivers/usb/gadget/function/f_gsi.h    | 2 +-
 drivers/usb/gadget/function/f_ipcrtr.h | 4 ++--
 drivers/usb/gadget/function/f_rmnet.c  | 2 +-
 drivers/usb/gadget/function/f_serial.c | 2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/drivers/usb/gadget/function/f_gps.c b/drivers/usb/gadget/function/f_gps.c
index 075a152..a4c78bba 100644
--- a/drivers/usb/gadget/function/f_gps.c
+++ b/drivers/usb/gadget/function/f_gps.c
@@ -20,7 +20,7 @@
 #include "u_rmnet.h"
 #include "gadget_chips.h"
 
-#define GPS_NOTIFY_INTERVAL	5
+#define GPS_NOTIFY_INTERVAL	12
 #define GPS_MAX_NOTIFY_SIZE	64
 
 
diff --git a/drivers/usb/gadget/function/f_gsi.h b/drivers/usb/gadget/function/f_gsi.h
index bac49d3..df46fbb 100644
--- a/drivers/usb/gadget/function/f_gsi.h
+++ b/drivers/usb/gadget/function/f_gsi.h
@@ -252,7 +252,7 @@ static inline struct f_gsi *c_port_to_gsi(struct gsi_ctrl_port *d)
 
 /* device descriptors */
 
-#define LOG2_STATUS_INTERVAL_MSEC 5
+#define LOG2_STATUS_INTERVAL_MSEC 10
 #define MAX_NOTIFY_SIZE sizeof(struct usb_cdc_notification)
 
 /* rmnet device descriptors */
diff --git a/drivers/usb/gadget/function/f_ipcrtr.h b/drivers/usb/gadget/function/f_ipcrtr.h
index e0cf1ae..577484d 100644
--- a/drivers/usb/gadget/function/f_ipcrtr.h
+++ b/drivers/usb/gadget/function/f_ipcrtr.h
@@ -175,7 +175,7 @@ static struct usb_endpoint_descriptor ipcrtr_hs_notify_desc  = {
 	.bEndpointAddress =	USB_DIR_IN,
 	.bmAttributes =		USB_ENDPOINT_XFER_INT,
 	.wMaxPacketSize =	cpu_to_le16(MAX_IPCRTR_NOTIFY_SIZE),
-	.bInterval =		IPCRTR_LOG2_STATUS_INTERVAL_MSEC + 4,
+	.bInterval =		IPCRTR_LOG2_STATUS_INTERVAL_MSEC,
 };
 
 /* High speed function descriptor */
@@ -194,7 +194,7 @@ static struct usb_endpoint_descriptor ipcrtr_ss_notify_desc  = {
 	.bEndpointAddress =	USB_DIR_IN,
 	.bmAttributes =		USB_ENDPOINT_XFER_INT,
 	.wMaxPacketSize =	cpu_to_le16(MAX_IPCRTR_NOTIFY_SIZE),
-	.bInterval =		IPCRTR_LOG2_STATUS_INTERVAL_MSEC + 4,
+	.bInterval =		IPCRTR_LOG2_STATUS_INTERVAL_MSEC,
 };
 
 /* Super speed companion descriptor */
diff --git a/drivers/usb/gadget/function/f_rmnet.c b/drivers/usb/gadget/function/f_rmnet.c
index df15357..eeef493 100644
--- a/drivers/usb/gadget/function/f_rmnet.c
+++ b/drivers/usb/gadget/function/f_rmnet.c
@@ -28,7 +28,7 @@ module_param(rmnet_dl_max_pkt_per_xfer, uint, S_IRUGO | S_IWUSR);
 MODULE_PARM_DESC(rmnet_dl_max_pkt_per_xfer,
 	"Maximum packets per transfer for DL aggregation");
 
-#define RMNET_NOTIFY_INTERVAL	5
+#define RMNET_NOTIFY_INTERVAL	10
 #define RMNET_MAX_NOTIFY_SIZE	sizeof(struct usb_cdc_notification)
 
 
diff --git a/drivers/usb/gadget/function/f_serial.c b/drivers/usb/gadget/function/f_serial.c
index 25963de..93be021 100644
--- a/drivers/usb/gadget/function/f_serial.c
+++ b/drivers/usb/gadget/function/f_serial.c
@@ -131,7 +131,7 @@ static inline struct f_gser *port_to_gser(struct gserial *p)
 {
 	return container_of(p, struct f_gser, port);
 }
-#define GS_LOG2_NOTIFY_INTERVAL		5	/* 1 << 5 == 32 msec */
+#define GS_LOG2_NOTIFY_INTERVAL		12	/* 1 << 5 == 32 msec */
 #define GS_NOTIFY_MAXPACKET		10	/* notification + 2 bytes */
 /*-------------------------------------------------------------------------*/
 
-- 
2.9.5

